--
-- Copyright (C) 2012-2016 Snail <https://github.com/snail23/snailui/>
--
-- This program is free software; you can redistribute it and/or modify it
-- under the terms of the GNU General Public License as published by the
-- Free Software Foundation; either version 2 of the License, or (at your
-- option) any later version.
--
-- This program is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-- FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
-- more details.
--
-- You should have received a copy of the GNU General Public License along
-- with this program. If not, see <http://www.gnu.org/licenses/>.
--

Configuration =
{
	GoTexture = "Interface\\AddOns\\SnailUI\\media\\go.tga",
	GoTextureGlow = "Interface\\AddOns\\SnailUI\\media\\go_glow.tga",
	HealerTexture = "Interface\\AddOns\\SnailUI\\media\\healer.tga",
	InactiveAlpha = 0.25,
	Texture = "Interface\\AddOns\\SnailUI\\media\\snailui.tga",
	TextColorPercentage = 0.75,
	Theme = "Default",

	Font =
	{
		Name = "Interface\\AddOns\\SnailUI\\media\\snailui.ttf",
		Outline = "MONOCHROME, OUTLINE",
		Size = 8
	},

	Themes = {}
}

if not Data then
	Data = {}
end

if not Options then
	Options =
	{
		EnableRaidFrames = true,
		HideGuildSpam = true
	}
end

if not Options.Theme or (Options.Theme == "Default") then
	Options.Theme = Configuration.Theme
end
