--
-- Copyright (C) 2012-2016 Snail <https://github.com/snail23/snailui/>
--
-- This program is free software; you can redistribute it and/or modify it
-- under the terms of the GNU General Public License as published by the
-- Free Software Foundation; either version 2 of the License, or (at your
-- option) any later version.
--
-- This program is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-- FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
-- more details.
--
-- You should have received a copy of the GNU General Public License along
-- with this program. If not, see <http://www.gnu.org/licenses/>.
--

function HandleSCT(Self)
	if GetConfiguration().SCT and GetConfiguration().SCT[Self.Frame] then
		Self.FloatingCombatFeedback = CreateFrame("Frame", nil, UIParent)
		Self.FloatingCombatFeedback:SetSize(1, 1)
		Self.FloatingCombatFeedback:SetPoint(GetConfiguration().SCT[Self.Frame].Anchor, GetConfiguration().SCT[Self.Frame].X, GetConfiguration().SCT[Self.Frame].Y)

		Self.FloatingCombatFeedback.Align = GetConfiguration().SCT[Self.Frame].Align
		Self.FloatingCombatFeedback.Height = GetConfiguration().SCT[Self.Frame].Height
		Self.FloatingCombatFeedback.ignoreEnergize = true
		Self.FloatingCombatFeedback.ScrollTime = 3
		Self.FloatingCombatFeedback.YDirection = (GetConfiguration().SCT[Self.Frame].Direction == "UP") and 1 or -1

		for I = 1, 64 do
			Self.FloatingCombatFeedback[I] = Self.FloatingCombatFeedback:CreateFontString(nil, "OVERLAY")
			Self.FloatingCombatFeedback[I]:SetFont(Configuration.Font.Name, Configuration.Font.Size * 2, Configuration.Font.Outline)
		end
	end
end
