--
-- Copyright (C) 2012-2016 Snail <https://github.com/snail23/snailui/>
--
-- This program is free software; you can redistribute it and/or modify it
-- under the terms of the GNU General Public License as published by the
-- Free Software Foundation; either version 2 of the License, or (at your
-- option) any later version.
--
-- This program is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-- FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
-- more details.
--
-- You should have received a copy of the GNU General Public License along
-- with this program. If not, see <http://www.gnu.org/licenses/>.
--

DefaultWithPet = DeepCopy(Configuration.Themes.Default)
DefaultWithPet.ActionBars.Pet =
{
	Anchor = "BOTTOM",
	Buttons = 10,
	Height = 24,
	Width = 48,
	X = 0,
	Y = 56,

	TextureCoordinate =
	{
		Bottom = 0.7,
		Left = 0.1,
		Right = 0.9,
		Top = 0.3
	}
}

DefaultWithPet.Pet =
{
	Anchor = "BOTTOM",
	Height = 24,
	Width = 100,
	X = 0,
	Y = 211,

	HealthBar =
	{
		Anchor = "TOP",
		Height = 15,
		Orientation = "HORIZONTAL",
		Width = 96,
		X = 0,
		Y = -3,

		Health =
		{
			Anchor ="CENTER",
			X = 1,
			Y = 0
		}
	},

	PowerBar =
	{
		Anchor = "BOTTOM",
		Height = 4,
		Orientation = "HORIZONTAL",
		Width = 96,
		X = 0,
		Y = 3
	}
}

DefaultWithPet.Player.HealthBar.Width = 200
DefaultWithPet.Player.PowerBar.Width = 200
DefaultWithPet.Player.Width = 204
DefaultWithPet.Player.X = -156
DefaultWithPet.Player.Y = 211

DefaultWithPet.Target.HealthBar.Width = 200
DefaultWithPet.Target.PowerBar.Width = 200
DefaultWithPet.Target.Width = 204
DefaultWithPet.Target.X = 156
DefaultWithPet.Target.Y = 211

DefaultWithPet.SCT.Player.Height = DefaultWithPet.SCT.Player.Height + 28
DefaultWithPet.SCT.Target.Height = DefaultWithPet.SCT.Target.Height + 28
